
using System;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Collections;
using System.Collections.Generic;

//using Legalsoft.Workflow.Application;

public partial class _Include_Start : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Response.ContentType = "text/html;charset=UTF-8";

        string flow_id = "";
        if (Request["flow_id"] != null) flow_id = Request["flow_id"].ToString();
        string flow_name = "";
        if (Request["flow_name"] != null) flow_name = Request["flow_name"].ToString();
        string node_id = "";
        if (Request["node_id"] != null) node_id = Request["node_id"].ToString();
        string node_name = "";
        if (Request["node_name"] != null) node_name = Request["node_name"].ToString();
        string node_role = "";
        if (Request["node_role"] != null) node_role = Request["node_role"].ToString();

        StringBuilder sb = new StringBuilder();
        sb.AppendLine("<br>");
        sb.AppendLine("<table width=\"0%\">");
        sb.AppendLine("<tr>");
        sb.AppendLine("	<td style=\"text-align:right;\">流程Flow：</td>");
        sb.AppendLine("	<td>");
        sb.AppendLine("		<input type=\"text\" id=\"FlowName\" name=\"FlowName\" size=\"24\" readonly style=\"border:none;\" value=\"" + flow_name + "\">");
        sb.AppendLine("		ID=<input type=\"text\" id=\"FlowId\" name=\"FlowId\" size=\"6\" readonly style=\"border:none;\" value=\"" + flow_id + "\">");
        sb.AppendLine("	</td>");
        sb.AppendLine("</tr>");
        sb.AppendLine("<tr>");
        sb.AppendLine("	<td style=\"text-align:right;\">节点Node：</td>");
        sb.AppendLine("	<td>");
        sb.AppendLine("		<input type=\"text\" id=\"NodeName\" name=\"NodeName\" size=\"24\" readonly style=\"border:none;\" value=\"" + node_name + "\">");
        sb.AppendLine("		ID=<input type=\"text\" id=\"NodeId\" name=\"NodeId\" size=\"6\" readonly style=\"border:none;\" value=\"" + node_id + "\">");
        sb.AppendLine("	</td>");
        sb.AppendLine("</tr>");
        sb.AppendLine("<tr>");
        sb.AppendLine("	<td style=\"text-align:right;\">角色Role：</td>");
        sb.AppendLine("	<td>");
        sb.AppendLine("		<input type=\"text\" id=\"Role\" name=\"Role\" size=\"24\" value=\"" + node_role + "\">");
        sb.AppendLine("	</td>");
        sb.AppendLine("</tr>");
        sb.AppendLine("<tr>");
        sb.AppendLine("	<td style=\"text-align:right;\">用户Member：</td>");
        sb.AppendLine("	<td>");
        sb.AppendLine("		<input type=\"text\" id=\"MemberName\" name=\"MemberName\" size=\"24\" value=\"\">");
        sb.AppendLine("		ID=<input type=\"text\" id=\"MemberId\" name=\"MemberId\" size=\"6\" value=\"\">");
        sb.AppendLine("	</td>");
        sb.AppendLine("</tr>");
        sb.AppendLine("<tr>");
        sb.AppendLine("	<td style=\"text-align:right;\">关键参数Para：</td>");
        sb.AppendLine("	<td>");
        sb.AppendLine("		<input type=\"text\" id=\"ParaName\" name=\"ParaName\" size=\"6\" value=\"金额\">");
        sb.AppendLine("		= <input type=\"text\" id=\"ParaValue\" name=\"ParaValue\" size=\"6\" value=\"2000\">");
        sb.AppendLine("	</td>");
        sb.AppendLine("</tr>");
        sb.AppendLine("<tr>");
        sb.AppendLine("	<td style=\"text-align:right;\">操作Operation：</td>");
        sb.AppendLine("	<td>");
        sb.AppendLine("		<input type=\"text\" id=\"Operation\" name=\"Operation\" size=\"6\" readonly style=\"border:none;\" value=\"create\">");
        sb.AppendLine("	</td>");
        sb.AppendLine("</tr>");
        sb.AppendLine("<tr>");
        sb.AppendLine("	<td align=\"right\"></td>");
        sb.AppendLine("	<td>");
        sb.AppendLine("		<input type=\"button\" id=\"sub1\" name=\"sub1\" value=\"启动\" style=\"width:90px;height:35px;cursor:pointer;\" onclick=\"start_action()\">");
        sb.AppendLine("	</td>");
        sb.AppendLine("</tr>");
        sb.AppendLine("</table>");
        Response.Write(sb.ToString());
    }
}
